require('plugins')
require('autopairs_config')
require('settings')
require('lsp_config')
require('telescope_config')
require('lualine_config')
require('mappings')
require('trim_config')
require('nvim_tree_config')

local hasleap, leap = pcall(require, 'leap')
if hasleap then
    leap.set_default_keymaps()
end

local hasComment, Comment = pcall(require, 'Comment')
if hasComment then
    Comment.setup()
end

local hastrouble, trouble = pcall(require, 'trouble')
if hastrouble then
    trouble.setup()
end

pcall(function() vim.cmd("colorscheme material") end)

vim.api.nvim_create_autocmd("FileType", { pattern = "make", command = [[set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "vimwiki", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "vimwiki", command = [[setlocal filetype=markdown]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "javascript", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "vue", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
